Printago API
PATCH
/v1/printers/continous-print
Set Fabmatic
Enable or disable Fabmatic (continuous printing) for printers
Request Body
Printer IDs, enabled status, and optional job limit
ContinuousPrintConfig
enabledrequired
boolean
idsrequired
string[]
jobLimitoptional
number
Example Request
application/json
{
"enabled": true,
"ids": [
"string"
]
}
Response Schema
Response
value
object[]
Example Response
200 OK — application/json
[
{
"name": "string",
"nozzleDiameter": "string",
"enabled": true,
"tags": [
"string"
],
"confirmedReady": true,
"isAvailable": true,
"isOnline": true,
"continuousPrint": true,
"lifetimePrintHours": 1,
"lifetimeJobCount": 1,
"isInMaintenance": true,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.969Z",
"updatedAt": "2026-08-24T03:58:55.969Z"
}
]